> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Taxes for Australia

> Get a summary of an Australian user's taxes, using varying inputs, for estimation purposes.



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/taxEngineExpress/calculateTaxAustralia
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxEngineExpress/calculateTaxAustralia:
    post:
      tags:
        - Tax Engine Express
      summary: Calculate Taxes for Australia
      description: >-
        Get a summary of an Australian user's taxes, using varying inputs, for
        estimation purposes.
      operationId: calculateTaxAustralia
      requestBody:
        description: tax calculation parameters
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/calculateTaxAustraliaPostData'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AustralianTaxDTO'
components:
  schemas:
    calculateTaxAustraliaPostData:
      required:
        - client_id
        - userId
        - year
      type: object
      properties:
        client_id:
          type: string
          description: The client_id of the Tight Partner
          example: fake_client_id
        userId:
          type: string
          description: >-
            An anonymized userId, used for tracking API usage. The Tight Partner
            decides how to anonymize it.
          example: fake_userId
        year:
          type: integer
          description: Tax year for which tax needs to be calculated on
          format: int32
          example: 2018
        filingStatusCode:
          type: string
          description: The Tax Filing Status Code
          example: S
          enum:
            - S
            - F
            - SS
            - FS
        businessIncome:
          type: number
          description: The business income for which tax needs to be calculated on
          example: 100000
        gcIncome:
          type: number
        interestIncome:
          type: number
          description: The interest income for which tax needs to be calculated on
          example: 0
        dividendIncome:
          type: number
          description: The dividend income for which tax needs to be calculated on
          example: 0
        capitalGain:
          type: number
          description: The capital gain income for which tax needs to be calculated on
          example: 0
        noOfDependents:
          type: integer
          description: Number of dependents
          format: int32
          example: 1
        employerSuperannuationContribution:
          type: number
          description: >-
            The employer superannuation amount for which tax needs to be
            calculated on
          example: 0
        personalSuperannuationContribution:
          type: number
          description: >-
            The personal superannuation amount for which tax needs to be
            calculated on
          example: 0
        financialInvestmentPropertyLoss:
          type: number
          description: >-
            The financial superannuation amount for which tax needs to be
            calculated on
          example: 0
      description: Parameters for the calculateTaxAustralia endpoint
      xml:
        name: ApiCalculateTaxAustraliaParam
    AustralianTaxDTO:
      type: object
      properties:
        taxTableYear:
          type: integer
          format: int32
          example: 2020
        netIncome:
          type: number
          example: 100000
        taxAmount:
          type: number
          example: 26632
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````